<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: Contract</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: Contract</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"></p></div></div> 




<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-data">Data</h3>
<table data-jsdoc-vuejs="table-data">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Default value</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>allFilters</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Lista de los filtros para las busquedas de un contrato</td>
    </tr></tbody>
</table>



<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-computed">Computed</h3>
<table data-jsdoc-vuejs="table-computed">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>contracts</code></td>
        <td>Array</td>
        <td>Lista de los contratos filtrados por tipo de usuario</td>
    </tr></tbody>
</table>





<div class="container-overview"><div><p> 
</div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="changeToAmortizationViewcontract"><span class="type-signature"></span>changeToAmortizationViewcontract<span class="signature">(contract)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae los datos de las amortizaciones y esquemas de los materiales del contrato y envia a la vista de amortizacion
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>contract</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Objeto con los datos del contrato</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_Contract.vue.html">contract/Contract.vue</a>, <a href="contract_Contract.vue.html#line492">line 492</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="cleanSearch"><span class="type-signature"></span>cleanSearch<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Borra los datos escritos en el friltro
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_Contract.vue.html">contract/Contract.vue</a>, <a href="contract_Contract.vue.html#line470">line 470</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="confirmedContractView"><span class="type-signature"></span>confirmedContractView<span class="signature">(contract, estado)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae los datos del contrato al que se quiere ingresar y se entra a la vista con los datos del contrato
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>contract</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Objeto que trae todos los datos del contrato</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>estado</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Estado del contrato, si es pendiente, confirmado o anulado</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_Contract.vue.html">contract/Contract.vue</a>, <a href="contract_Contract.vue.html#line506">line 506</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="filterMaterials"><span class="type-signature"></span>filterMaterials<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Filtra los contratos dependiendo de la referencia enviada
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_Contract.vue.html">contract/Contract.vue</a>, <a href="contract_Contract.vue.html#line439">line 439</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getContract"><span class="type-signature"></span>getContract<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista e todos los contratos
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_Contract.vue.html">contract/Contract.vue</a>, <a href="contract_Contract.vue.html#line431">line 431</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ConfirmedContract.html">ConfirmedContract</a></li><li><a href="module-Contract.html">Contract</a></li><li><a href="module-Cut.html">Cut</a></li><li><a href="module-HistoryContract.html">HistoryContract</a></li><li><a href="module-Material.html">Material</a></li><li><a href="module-Material2.html">Material2</a></li><li><a href="module-NewContract.html">NewContract</a></li><li><a href="module-NewMaterial.html">NewMaterial</a></li><li><a href="module-NewMaterial2.html">NewMaterial2</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Aug 11 2021 17:08:52 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>